#ifndef GLOBUS_DONT_DOCUMENT_INTERNAL
/**
 * @file globus_gram_xml_rsl.h
 * Globus GRAM XML-RSL Library
 * @author Sam Lang
 *
 * $RCSfile $
 * $Revision $
 * $Date $
 */
#endif

#ifndef _GLOBUS_GRAM_XML_RSL_H_
#define _GLOBUS_GRAM_XML_RSL_H_

#include <globus_common.h>

EXTERN_C_BEGIN

#include <globus_rsl.h>

#define GLOBUS_GRAM_XML_RSL_MODULE (&globus_i_gram_xml_rsl_module)

extern
globus_module_descriptor_t              globus_i_gram_xml_rsl_module;

typedef struct globus_l_gram_xml_rsl_handle_s * globus_gram_xml_rsl_handle_t;

globus_result_t
globus_gram_xml_rsl_handle_init(
    globus_gram_xml_rsl_handle_t *      handle);

globus_result_t
globus_gram_xml_rsl_handle_destroy(
    globus_gram_xml_rsl_handle_t        handle);

globus_result_t
globus_gram_xml_rsl_parse(
    globus_gram_xml_rsl_handle_t        handle,
    globus_rsl_t *                      ast_node);

globus_result_t
globus_gram_xml_rsl_output(
    globus_gram_xml_rsl_handle_t        handle,
    char **                             output);

globus_result_t
globus_gram_xml_rsl_convert(
    char *                              rsl_spec,
    char **                             xml_rsl_spec);

EXTERN_C_END

#endif /* _GLOBUS_GRAM_XML_RSL_H_ */

