#ifndef GLOBUS_DONT_DOCUMENT_INTERNAL
/**
 * @file globus_ogsa_base_gram_managed_job.h
 * Globus OGSA Base Gram Managed Job Library
 * @author Sam Lang
 *
 * $RCSfile $
 * $Revision $
 * $Date $
 */
#endif

#ifndef _GLOBUS_OGSA_BASE_GRAM_MANAGED_JOB_H_
#define _GLOBUS_OGSA_BASE_GRAM_MANAGED_JOB_H_

#include <globus_common.h>

EXTERN_C_BEGIN

#include <globus_ogsa_base_gram_mjH.h>
#include <globus_ogsa_security_authentication.h>

#define GLOBUS_OGSA_BASE_GRAM_MANAGED_JOB_MODULE \
        (&globus_l_ogsa_base_gram_managed_job_module)

extern
globus_module_descriptor_t     globus_l_ogsa_base_gram_managed_job_module;

globus_result_t
globus_ogsa_base_gram_managed_job_submit(
    char *                              rsl,
    char *                              url,
    char **                             GSH,
    enum mj_types__JobStateType *       state,
    globus_ogsa_security_auth_attr_t    attr,
    int                                 confidential);

globus_result_t
globus_ogsa_base_gram_managed_job_start(
    char *                              GSH,
    enum mj_types__JobStateType *       jobState,
    globus_ogsa_security_auth_attr_t    attr,
    int                                 confidential);

EXTERN_C_END

#endif /* _GLOBUS_OGSA_BASE_GRAM_MANAGED_JOB_H_ */
