/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ogsa.gui;

import org.globus.ogsa.wsdl.GSR;

import java.net.URL;


public interface ServiceInterface {
    public void setHandle(URL handle);

    public void setGSR(GSR gsr) throws Exception;

    public void refreshGSR() throws Exception;

    public void setContext(ServiceContext context);

    public void init();

    public void dispose();
}
