/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ogsa.gui;

import org.w3c.dom.Node;

import javax.swing.JTree;
import javax.swing.tree.TreeSelectionModel;


public class XMLTree extends JTree {
    public XMLTree(Node node) {
        super(new XMLTreeModel(node));
        getSelectionModel().setSelectionMode(
            TreeSelectionModel.SINGLE_TREE_SELECTION
        );
        setCellRenderer(new XMLTreeCellRenderer());
    }
}
;
