/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ogsa.guide.impl;

import org.globus.ogsa.impl.ogsi.GridServiceImpl;
import org.globus.ogsa.guide.Counter.CounterPortType;

import java.rmi.RemoteException;


public class CounterImpl extends GridServiceImpl implements CounterPortType {
    private int val = 0;

    public CounterImpl() {
        super("Guide Counter");
    }

    public int add(int val) throws RemoteException {
        this.val = this.val + val;

        return this.val;
    }

    public int subtract(int val) throws RemoteException {
        this.val = this.val - val;

        return this.val;
    }

    public int getValue() throws RemoteException {
        return this.val;
    }
}
