#ifndef GLOBUS_DONT_DOCUMENT_INTERNAL
/**
 * @file globus_ogsa_security_xmlsec_gssapi_transform.h
 * OGSA Impl XML-Sec GSSAPI Transform Library
 * @author Sam Lang
 *
 * $RCSfile: globus_ogsa_security_xmlsec_gssapi_transform.h,v $
 * $Revision: 1.1.1.1 $
 * $Date: 2003/06/04 20:09:14 $
 */
#endif

#ifndef _GLOBUS_OGSA_SECURITY_XMLSEC_GSSAPI_TRANSFORM_H_
#define _GLOBUS_OGSA_SECURITY_XMLSEC_GSSAPI_TRANSFORM_H_

#include <gssapi.h>
#include <xmlsec/transforms.h>
#include <globus_common.h>

EXTERN_C_BEGIN

extern xmlSecTransformId                xmlSecSignGSSAPI;

xmlSecKeyPtr
globus_ogsa_xmlsec_keysmngr_load_gssapi_context(
    xmlSecKeysMngrPtr                   mngr,
    gss_ctx_id_t                        ctx);

EXTERN_C_END

#endif
