
#ifndef _OGSA_CORE_TYPES_COMMON_H_
#define _OGSA_CORE_TYPES_COMMON_H_

#include <stdarg.h>
#include <time.h>
#include <stdio.h>

#include "ogsa_core_types_TerminationTimeType.h"

#define GSDL_NAMESPACE "http://www.gridforum.org/namespaces/2002/10/gridServices"

typedef char *                          ISO8601_dateTime_t;

ISO8601_dateTime_t
ogsa_core_types_common_make_time_ISO8601(
    time_t                              time,
    long                                usec);

ISO8601_dateTime_t
ogsa_core_types_common_make_current_time_ISO8601();

ISO8601_dateTime_t
ogsa_core_types_common_add_to_current_time_ISO8601(
    int                                 plus_secs,
    int                                 plus_mins,
    int                                 plus_hours,
    int                                 plus_days,
    int                                 plus_years);

time_t
ogsa_core_types_common_convert_time_ISO8601(
    ISO8601_dateTime_t                  dateTime);

#endif
