/*
This file is licensed under the terms of the Globus Toolkit Public
License, found at http://www.globus.org/toolkit/download/license.html.
*/
package org.globus.ogsa.impl.samples.counter.notification;

import org.globus.ogsa.utils.XmlFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;


public class CounterDataType {
    public static Element toElement(int val) {
        Document document = null;

        try {
            document = XmlFactory.newDocument();
        } catch (Exception e) {
            e.printStackTrace();

            return null;
        }

        Element element = document.createElement("counter");
        element.setAttribute("value", Integer.toString(val));
        document.appendChild(element);

        return element;
    }
}
